<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::thread_function Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1thread__function.html">thread_function</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="classdlib_1_1thread__function-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::thread_function Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for dlib::thread_function:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classdlib_1_1thread__function.png" usemap="#dlib::thread_5Ffunction_map" alt=""/>
  <map id="dlib::thread_5Ffunction_map" name="dlib::thread_5Ffunction_map">
<area href="classdlib_1_1threaded__object.html" alt="dlib::threaded_object" shape="rect" coords="0,0,129,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdlib_1_1thread__function_1_1base__funct.html">base_funct</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdlib_1_1thread__function_1_1super__funct__0.html">super_funct_0</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdlib_1_1thread__function_1_1super__funct__1.html">super_funct_1</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdlib_1_1thread__function_1_1super__funct__2.html">super_funct_2</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdlib_1_1thread__function_1_1super__funct__3.html">super_funct_3</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdlib_1_1thread__function_1_1super__funct__4.html">super_funct_4</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a1934d1eaeb7542c7df1805caca0e9d4f"><td class="memTemplParams" colspan="2"><a id="a1934d1eaeb7542c7df1805caca0e9d4f"></a>
template&lt;typename F &gt; </td></tr>
<tr class="memitem:a1934d1eaeb7542c7df1805caca0e9d4f"><td class="memTemplItemLeft" align="right" valign="top">&#160;</td><td class="memTemplItemRight" valign="bottom"><b>thread_function</b> (F funct)</td></tr>
<tr class="separator:a1934d1eaeb7542c7df1805caca0e9d4f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a0d02b16bd03feb58859350404d66d9"><td class="memTemplParams" colspan="2"><a id="a1a0d02b16bd03feb58859350404d66d9"></a>
template&lt;typename F , typename T &gt; </td></tr>
<tr class="memitem:a1a0d02b16bd03feb58859350404d66d9"><td class="memTemplItemLeft" align="right" valign="top">&#160;</td><td class="memTemplItemRight" valign="bottom"><b>thread_function</b> (F funct, T arg)</td></tr>
<tr class="separator:a1a0d02b16bd03feb58859350404d66d9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab28e26f1d9b21216281922698c73c6a8"><td class="memTemplParams" colspan="2"><a id="ab28e26f1d9b21216281922698c73c6a8"></a>
template&lt;typename F , typename T1 , typename T2 &gt; </td></tr>
<tr class="memitem:ab28e26f1d9b21216281922698c73c6a8"><td class="memTemplItemLeft" align="right" valign="top">&#160;</td><td class="memTemplItemRight" valign="bottom"><b>thread_function</b> (F funct, T1 arg1, T2 arg2)</td></tr>
<tr class="separator:ab28e26f1d9b21216281922698c73c6a8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8d29ba1bd34fa3f8fb762923b1af9780"><td class="memTemplParams" colspan="2"><a id="a8d29ba1bd34fa3f8fb762923b1af9780"></a>
template&lt;typename F , typename T1 , typename T2 , typename T3 &gt; </td></tr>
<tr class="memitem:a8d29ba1bd34fa3f8fb762923b1af9780"><td class="memTemplItemLeft" align="right" valign="top">&#160;</td><td class="memTemplItemRight" valign="bottom"><b>thread_function</b> (F funct, T1 arg1, T2 arg2, T3 arg3)</td></tr>
<tr class="separator:a8d29ba1bd34fa3f8fb762923b1af9780"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae692a2996acd05c307d507d2c9c12a76"><td class="memTemplParams" colspan="2"><a id="ae692a2996acd05c307d507d2c9c12a76"></a>
template&lt;typename F , typename T1 , typename T2 , typename T3 , typename T4 &gt; </td></tr>
<tr class="memitem:ae692a2996acd05c307d507d2c9c12a76"><td class="memTemplItemLeft" align="right" valign="top">&#160;</td><td class="memTemplItemRight" valign="bottom"><b>thread_function</b> (F funct, T1 arg1, T2 arg2, T3 arg3, T4 arg4)</td></tr>
<tr class="separator:ae692a2996acd05c307d507d2c9c12a76"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac0fa50fe3bceec8a0b5634404a84c54c"><td class="memItemLeft" align="right" valign="top"><a id="ac0fa50fe3bceec8a0b5634404a84c54c"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>is_alive</b> () const</td></tr>
<tr class="separator:ac0fa50fe3bceec8a0b5634404a84c54c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af3a098653ecea24acd99da3cdcfa4727"><td class="memItemLeft" align="right" valign="top"><a id="af3a098653ecea24acd99da3cdcfa4727"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>wait</b> () const</td></tr>
<tr class="separator:af3a098653ecea24acd99da3cdcfa4727"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a88e80d8e6aa1cd60b4435c45ff86db50"><td class="memItemLeft" align="right" valign="top"><a id="a88e80d8e6aa1cd60b4435c45ff86db50"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>thread</b> ()</td></tr>
<tr class="separator:a88e80d8e6aa1cd60b4435c45ff86db50"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a16b7d94f1a72a5845962b75bf6f7bd46"><td class="memItemLeft" align="right" valign="top"><a id="a16b7d94f1a72a5845962b75bf6f7bd46"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>thread_function</b> (<a class="el" href="classdlib_1_1thread__function.html">thread_function</a> &amp;)</td></tr>
<tr class="separator:a16b7d94f1a72a5845962b75bf6f7bd46"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a09eb3f01f12df0f8d5d0d40ede732ce5"><td class="memItemLeft" align="right" valign="top"><a id="a09eb3f01f12df0f8d5d0d40ede732ce5"></a>
<a class="el" href="classdlib_1_1thread__function.html">thread_function</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator=</b> (<a class="el" href="classdlib_1_1thread__function.html">thread_function</a> &amp;)</td></tr>
<tr class="separator:a09eb3f01f12df0f8d5d0d40ede732ce5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classdlib_1_1threaded__object"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classdlib_1_1threaded__object')"><img src="closed.png" alt="-"/>&#160;Private Member Functions inherited from <a class="el" href="classdlib_1_1threaded__object.html">dlib::threaded_object</a></td></tr>
<tr class="memitem:adf50fff115d12c008884f58baac4e5ca inherit pub_methods_classdlib_1_1threaded__object"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdlib_1_1threaded__object.html#adf50fff115d12c008884f58baac4e5ca">threaded_object</a> ()</td></tr>
<tr class="separator:adf50fff115d12c008884f58baac4e5ca inherit pub_methods_classdlib_1_1threaded__object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab80a178cdc8f8fc51e8583c26f5d0714 inherit pub_methods_classdlib_1_1threaded__object"><td class="memItemLeft" align="right" valign="top"><a id="ab80a178cdc8f8fc51e8583c26f5d0714"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>is_running</b> () const</td></tr>
<tr class="separator:ab80a178cdc8f8fc51e8583c26f5d0714 inherit pub_methods_classdlib_1_1threaded__object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb6e0d0cfebb8a73d2dda75d7c0c2a16 inherit pub_methods_classdlib_1_1threaded__object"><td class="memItemLeft" align="right" valign="top"><a id="abb6e0d0cfebb8a73d2dda75d7c0c2a16"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>is_alive</b> () const</td></tr>
<tr class="separator:abb6e0d0cfebb8a73d2dda75d7c0c2a16 inherit pub_methods_classdlib_1_1threaded__object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abc1dfba4cec8c05f5cc068cfc0ff073b inherit pub_methods_classdlib_1_1threaded__object"><td class="memItemLeft" align="right" valign="top"><a id="abc1dfba4cec8c05f5cc068cfc0ff073b"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>wait</b> () const</td></tr>
<tr class="separator:abc1dfba4cec8c05f5cc068cfc0ff073b inherit pub_methods_classdlib_1_1threaded__object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a055c8a1d8daf7876a91e890e3f2fc03d inherit pub_methods_classdlib_1_1threaded__object"><td class="memItemLeft" align="right" valign="top"><a id="a055c8a1d8daf7876a91e890e3f2fc03d"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>start</b> ()</td></tr>
<tr class="separator:a055c8a1d8daf7876a91e890e3f2fc03d inherit pub_methods_classdlib_1_1threaded__object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3ab7c9f3bba2fd9c91a069a127e3c02d inherit pub_methods_classdlib_1_1threaded__object"><td class="memItemLeft" align="right" valign="top"><a id="a3ab7c9f3bba2fd9c91a069a127e3c02d"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>restart</b> ()</td></tr>
<tr class="separator:a3ab7c9f3bba2fd9c91a069a127e3c02d inherit pub_methods_classdlib_1_1threaded__object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a504466de60a611ab0c4f15525e6b2872 inherit pub_methods_classdlib_1_1threaded__object"><td class="memItemLeft" align="right" valign="top"><a id="a504466de60a611ab0c4f15525e6b2872"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_respawn</b> ()</td></tr>
<tr class="separator:a504466de60a611ab0c4f15525e6b2872 inherit pub_methods_classdlib_1_1threaded__object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a423f38bc010e36b0f8a8220172166947 inherit pub_methods_classdlib_1_1threaded__object"><td class="memItemLeft" align="right" valign="top"><a id="a423f38bc010e36b0f8a8220172166947"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>should_respawn</b> () const</td></tr>
<tr class="separator:a423f38bc010e36b0f8a8220172166947 inherit pub_methods_classdlib_1_1threaded__object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a100d7aff9093b5ca3ad2847340fbc74c inherit pub_methods_classdlib_1_1threaded__object"><td class="memItemLeft" align="right" valign="top"><a id="a100d7aff9093b5ca3ad2847340fbc74c"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>pause</b> ()</td></tr>
<tr class="separator:a100d7aff9093b5ca3ad2847340fbc74c inherit pub_methods_classdlib_1_1threaded__object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a769510e346ee93e5d3337c4591cd358d inherit pub_methods_classdlib_1_1threaded__object"><td class="memItemLeft" align="right" valign="top"><a id="a769510e346ee93e5d3337c4591cd358d"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>stop</b> ()</td></tr>
<tr class="separator:a769510e346ee93e5d3337c4591cd358d inherit pub_methods_classdlib_1_1threaded__object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8c965067e39218bd9fcea5c699150e68 inherit pub_methods_classdlib_1_1threaded__object"><td class="memItemLeft" align="right" valign="top"><a id="a8c965067e39218bd9fcea5c699150e68"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>should_stop</b> () const</td></tr>
<tr class="separator:a8c965067e39218bd9fcea5c699150e68 inherit pub_methods_classdlib_1_1threaded__object"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a7bd020ca1d547f2cf1b90b37bd208744"><td class="memItemLeft" align="right" valign="top"><a id="a7bd020ca1d547f2cf1b90b37bd208744"></a>
<a class="el" href="classdlib_1_1scoped__ptr.html">scoped_ptr</a>&lt; <a class="el" href="classdlib_1_1thread__function_1_1base__funct.html">base_funct</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>f</b></td></tr>
<tr class="separator:a7bd020ca1d547f2cf1b90b37bd208744"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="thread__function__extension_8h_source.html">thread_function_extension.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
